REFRESH MATERIALIZED VIEW(7)

NAME
REFRESH_MATERIALIZED_VIEW - replace the contents of a materialized view

SYNOPSIS

REFRESH MATERIALIZED VIEW name
    [ WITH [ NO ] DATA ]

DESCRIPTION

REFRESH MATERIALIZED VIEW completely replaces the contents of a materialized view. The old contents are discarded. If WITH DATA is specified (or defaults) the backing query is executed to provide the new data, and the materialized view is left in a scannable state. If WITH NO DATA is specified no new data is generated and the materialized view is left in an unscannable state.

PARAMETERS

name
    The name (optionally schema-qualified) of the materialized view to refresh.

NOTES

While the default index for future CLUSTER(7) operations is retained, REFRESH MATERIALIZED VIEW does not order the generated rows based on this property. If you want the data to be ordered upon generation, you must use an ORDER BY clause in the backing query.

EXAMPLES

This command will replace the contents of the materialized view called order_summary using the query from the materialized view's definition, and leave it in a scannable state:

    REFRESH MATERIALIZED VIEW order_summary;

This command will free storage associated with the materialized view annual_statistics_basis and leave it in an unscannable state:

    REFRESH MATERIALIZED VIEW annual_statistics_basis WITH NO DATA;

COMPATIBILITY

REFRESH MATERIALIZED VIEW is a PostgreSQL extension.

SEE ALSO
CREATE MATERIALIZED VIEW (CREATE_MATERIALIZED_VIEW(7)), ALTER MATERIALIZED VIEW (ALTER_MATERIALIZED_VIEW(7)), DROP MATERIALIZED VIEW (DROP_MATERIALIZED_VIEW(7))